Bug 1438031 - File conflicts between rust-gdb and rust-lldb
Summary: File conflicts between rust-gdb and rust-lldb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 16:49 UTC by Josh Stone
Modified: 2017-05-15 13:54 UTC (History)
4 users (show)

Fixed In Version: rust-1.17.0-1.fc26 rust-1.17.0-1.fc25 rust-1.17.0-1.fc24 rust-1.17.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 18:18:03 UTC


Attachments (Terms of Use)

Description Josh Stone 2017-03-31 16:49:17 UTC
Description of problem:
The optimized python files shared between rust-gdb.noarch and rust-lldb.x86_64 don't match.  This wasn't a problem when they were both noarch, probably because they were both collected from the same arch-build.

Version-Release number of selected component (if applicable):
rust-1.16.0-2.fc25

How reproducible:
100%

Steps to Reproduce:
1. dnf install rust-gdb rust-lldb

Actual results:
Error: Transaction check error:
  file /usr/lib/rustlib/etc/debugger_pretty_printers_common.pyc conflicts between attempted installs of rust-gdb-1.16.0-2.fc25.noarch and rust-lldb-1.16.0-2.fc25.x86_64
  file /usr/lib/rustlib/etc/debugger_pretty_printers_common.pyo conflicts between attempted installs of rust-gdb-1.16.0-2.fc25.noarch and rust-lldb-1.16.0-2.fc25.x86_64

Expected results:
No conflicts

Additional info:
rust-lldb needs to be arched because its lldb dependency isn't available everywhere.  rust-gdb is noarch, but we might have to just make it arched to resolve this conflict.

Easy workaround for now is to just commit to using only one of the debuggers.

Comment 1 Igor Gnatenko 2017-03-31 16:52:14 UTC
Shouldn't we package that file on arches where lldb is not available and exclude it and Require lldb where available?

Comment 2 Josh Stone 2017-03-31 16:59:25 UTC
So you mean, make rust-lldb noarch, but only require lldb where it's available?  That means rust-lldb will be installable yet unusable on other arches, but I guess I'm ok with that.

Comment 3 Josh Stone 2017-03-31 17:06:50 UTC
I guess another option would be to put the common files into a new package, like rust-debugger-common.noarch, which rust-gdb.noarch and rust-lldb.arch would require.  But this may be over-engineering it...

Comment 4 Fedora Update System 2017-04-28 20:44:23 UTC
llvm3.9-3.9.1-7.el7 cargo-0.18.0-1.el7 rust-1.17.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-39c54287c2

Comment 5 Fedora Update System 2017-04-28 20:44:33 UTC
llvm-3.8.1-3.fc24 cargo-0.18.0-1.fc24 rust-1.17.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-162308e82b

Comment 6 Fedora Update System 2017-04-28 20:44:40 UTC
llvm3.9-3.9.1-7.fc26 llvm-3.9.1-6.fc26 cargo-0.18.0-1.fc26 rust-1.17.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3db6f8545

Comment 7 Fedora Update System 2017-04-28 20:44:49 UTC
llvm-3.9.1-3.fc25 cargo-0.18.0-1.fc25 rust-1.17.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0542841ec0

Comment 8 Fedora Update System 2017-04-30 00:51:22 UTC
cargo-0.18.0-1.el7, llvm3.9-3.9.1-7.el7, rust-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-39c54287c2

Comment 9 Fedora Update System 2017-04-30 02:23:54 UTC
cargo-0.18.0-1.fc24, llvm-3.8.1-3.fc24, rust-1.17.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-162308e82b

Comment 10 Fedora Update System 2017-04-30 02:26:29 UTC
cargo-0.18.0-1.fc25, llvm-3.9.1-3.fc25, rust-1.17.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0542841ec0

Comment 11 Fedora Update System 2017-04-30 03:52:50 UTC
cargo-0.18.0-1.fc26, llvm-3.9.1-6.fc26, llvm3.9-3.9.1-7.fc26, rust-1.17.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3db6f8545

Comment 12 Fedora Update System 2017-05-01 18:18:03 UTC
cargo-0.18.0-1.fc26, llvm-3.9.1-6.fc26, llvm3.9-3.9.1-7.fc26, rust-1.17.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-02 02:02:27 UTC
cargo-0.18.0-1.fc25, llvm-3.9.1-3.fc25, rust-1.17.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-12 19:22:50 UTC
cargo-0.18.0-1.fc24, llvm-3.8.1-3.fc24, rust-1.17.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-15 13:54:08 UTC
cargo-0.18.0-1.el7, llvm3.9-3.9.1-7.el7, rust-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.